org.mariadb.jdbc.internal.stream

## Class MaxAllowedPacketException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.mariadb.jdbc.internal.stream.MaxAllowedPacketException

All Implemented Interfaces:
  Serializable

    public class MaxAllowedPacketException
    extends IOException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MaxAllowedPacketException(String message, boolean mustReconnect)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMustReconnect()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MaxAllowedPacketException

    public MaxAllowedPacketException(String message,
                                     boolean mustReconnect)

### Method Detail

#### isMustReconnect

    public boolean isMustReconnect()